ReferenceAdmin
Read any conversation, with a reason (platform admins)
POST
The conversation now (one snapshot; wakes the agent like any read). Each read is recorded as thread.admin_read in the agent's team's audit log, with the reason, before the conversation is returned. The way platform admins read private threads and conversations of personal workspaces' agents.
agentId*stringFormat
uuidthreadId*stringClient-chosen thread ID (1-64 letters, digits, dashes or underscores)
Match
^[A-Za-z0-9_-]{1,64}$application/json- body
reason*stringWhy the conversation is opened; recorded in the agent's team's audit log
Length
10 <= length <= 500The conversation
application/json- response
data*curl -X POST 'https://agents.example.com/v1/admin/agents/497f6eca-6276-4993-bfeb-53cbbbba6f08/threads/string/read' \ -H 'Content-Type: application/json' \ -d '{ "reason": "stringstri"}'{ "data": { "busy": true, "messages": [ { "id": "string", "role": "user", "text": "string", "thinking": "string", "toolCalls": [ { "id": "string", "name": "string", "arguments": {}, "startedAt": 0, "endedAt": 0 } ], "error": "string", "toolCallId": "string", "name": "string", "isError": true, "author": { "kind": "user", "id": "string", "name": "string", "via": "string" }, "at": 0, "model": { "provider": "string", "id": "string" }, "usage": { "input": 0, "output": 0, "cacheRead": 0, "cacheWrite": 0, "total": 0 }, "stopReason": "string" } ], "partial": { "text": "string", "thinking": "string" }, "tools": [ { "callId": "string", "name": "string", "status": "string", "output": "string" } ] }}